%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   IO-Socket-SSL
%define modv   1.38
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       Transparent SSL encapsulation for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/S/SU/SULLR/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Steffen Ullrich <Steffen_Ullrich@genua.de>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(IO::Socket::INET6)
Requires:      perl(Net::LibIDN)
BuildRequires: perl >= 5.5.3
BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(Net::LibIDN)
BuildRequires: perl(Net::SSLeay) >= 1.33
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildArch:     noarch


%description
IO::Socket::SSL is a true drop-in replacement for IO::Socket::INET that
uses SSL to encrypt data before it is transferred to a remote server or
client. It supports all the extra features that one needs to write a full-
featured SSL client or server application: multiple SSL contexts, cipher
selection, certificate verification, and SSL version selection.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS Changes README docs/*
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Jan 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.38-1
- New version (1.38)

* Thu Dec 16 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.37-1
- New version (1.37)

* Thu Nov 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.34-1
- New version (1.34)

* Mon Aug 23 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.33-1
- New version (1.33)

* Mon Feb 23 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.23-1
- Initial build
